servicemix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ge...@apache.org
Subject svn commit: r1625739 - in /servicemix/scripts: copy-release-distro-v4.sh copy-release-distro.sh release-note-to-wiki.rb
Date Wed, 17 Sep 2014 18:47:34 GMT
Author: gertv
Date: Wed Sep 17 18:47:34 2014
New Revision: 1625739

URL: http://svn.apache.org/r1625739
Log:
A few updates to the release helper scripts

Added:
    servicemix/scripts/copy-release-distro-v4.sh   (with props)
Modified:
    servicemix/scripts/copy-release-distro.sh
    servicemix/scripts/release-note-to-wiki.rb

Added: servicemix/scripts/copy-release-distro-v4.sh
URL: http://svn.apache.org/viewvc/servicemix/scripts/copy-release-distro-v4.sh?rev=1625739&view=auto
==============================================================================
--- servicemix/scripts/copy-release-distro-v4.sh (added)
+++ servicemix/scripts/copy-release-distro-v4.sh Wed Sep 17 18:47:34 2014
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+VERSION=$1
+
+if [ "x" == "x$VERSION" ]; then
+  echo "Usage: copy-release-distro.sh <VERSION>"
+  exit 1
+fi
+
+echo "Creating directory $VERSION"
+mkdir $VERSION || ( echo "Directory $VERSION already exists - aborting!"; exit 1)
+
+function download_bin {
+  GROUP=$1
+  ARTIFACT=$2
+  echo "Downloading distributions for $GROUP/$ARTIFACT"
+  for type in "zip" "tar.gz"
+  do
+    name="$GROUP/$ARTIFACT/$VERSION/$ARTIFACT-$VERSION.$type"
+    wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name"
+    for hash in "asc" "md5" "sha1"
+    do
+      wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name.$hash"
+    done
+  done
+}
+
+function download_src {
+  GROUP=$1
+  ARTIFACT=$2
+  echo "Downloading sources for $GROUP/$ARTIFACT"
+  for type in "zip" "tar.gz"
+  do
+    name="$GROUP/$ARTIFACT/$VERSION/$ARTIFACT-$VERSION-src.$type"
+    wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name"
+    for hash in "asc" "md5" "sha1"
+    do
+      wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name.$hash"
+    done
+  done
+}
+
+
+cd $VERSION
+
+download_bin "org/apache/servicemix" "apache-servicemix"
+download_bin "org/apache/servicemix" "apache-servicemix-full"
+download_bin "org/apache/servicemix" "apache-servicemix-minimal"
+download_bin "org/apache/servicemix" "apache-servicemix-jbi"
+
+download_src "org/apache/servicemix" "apache-servicemix"

Propchange: servicemix/scripts/copy-release-distro-v4.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: servicemix/scripts/copy-release-distro.sh
URL: http://svn.apache.org/viewvc/servicemix/scripts/copy-release-distro.sh?rev=1625739&r1=1625738&r2=1625739&view=diff
==============================================================================
--- servicemix/scripts/copy-release-distro.sh (original)
+++ servicemix/scripts/copy-release-distro.sh Wed Sep 17 18:47:34 2014
@@ -14,14 +14,11 @@ function download_bin {
   GROUP=$1
   ARTIFACT=$2
   echo "Downloading distributions for $GROUP/$ARTIFACT"
-  for type in "zip" "tar.gz" 
+  name="$GROUP/$ARTIFACT/$VERSION/$ARTIFACT-$VERSION.zip"
+  wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name"
+  for hash in "asc" "md5" "sha1"
   do
-    name="$GROUP/$ARTIFACT/$VERSION/$ARTIFACT-$VERSION.$type"
-    wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name"
-    for hash in "asc" "md5" "sha1"
-    do
-      wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name.$hash"
-    done
+    wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name.$hash"
   done
 }
 
@@ -29,14 +26,11 @@ function download_src {
   GROUP=$1
   ARTIFACT=$2
   echo "Downloading sources for $GROUP/$ARTIFACT"
-  for type in "zip" "tar.gz" 
+  name="$GROUP/$ARTIFACT/$VERSION/$ARTIFACT-$VERSION-src.zip"
+  wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name"
+  for hash in "asc" "md5" "sha1"
   do
-    name="$GROUP/$ARTIFACT/$VERSION/$ARTIFACT-$VERSION-src.$type"
-    wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name"
-    for hash in "asc" "md5" "sha1"
-    do
-      wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name.$hash"
-    done
+    wget --no-check-certificate "https://repository.apache.org/content/repositories/releases/$name.$hash"
   done
 }
 
@@ -44,8 +38,4 @@ function download_src {
 cd $VERSION
 
 download_bin "org/apache/servicemix" "apache-servicemix"
-download_bin "org/apache/servicemix" "apache-servicemix-full"
-download_bin "org/apache/servicemix" "apache-servicemix-minimal"
-download_bin "org/apache/servicemix" "apache-servicemix-jbi"
-
 download_src "org/apache/servicemix" "apache-servicemix"

Modified: servicemix/scripts/release-note-to-wiki.rb
URL: http://svn.apache.org/viewvc/servicemix/scripts/release-note-to-wiki.rb?rev=1625739&r1=1625738&r2=1625739&view=diff
==============================================================================
--- servicemix/scripts/release-note-to-wiki.rb (original)
+++ servicemix/scripts/release-note-to-wiki.rb Wed Sep 17 18:47:34 2014
@@ -1,6 +1,6 @@
 #!/usr/bin/ruby
 
-def print_info() 
+def print_info()
   puts "Utility to convert text-based JIRA release notes into Confluence wiki markup"
   puts ""
   puts "Usage: #{__FILE__} <txt> [<txt> ...]"
@@ -12,10 +12,10 @@ def excerpt(line)
   return line unless line =~ /^Release Notes/
 
   "{excerpt}#{line.chop}{excerpt}"
-end 
+end
 
 def header(line)
-  return line unless (line =~ /^\*\* /) 
+  return line unless (line =~ /^\*\* /)
 
   header = line.sub(/\*\*\s/, "").chop
   "*#{header}*"
@@ -31,11 +31,11 @@ end
 print_info() if (ARGV.size < 1)
 
 ARGV.each do |input|
-  output = File.basename(input, File.extname(input)) + ".wiki" 
+  output = File.basename(input, File.extname(input)) + ".wiki"
 
   puts ("Translating #{input} in #{output}")
   File.open(output, "w") do |out|
-    IO.foreach(input) do |line| 
+    IO.foreach(input) do |line|
       result = link(header(excerpt(line)))
       out.puts result
     end



Mime
View raw message